CVC4::TupleSelect Class Reference

`#include <tuple.h>`

## Public Member Functions

| TupleSelect (unsigned index) throw ()
unsigned | getIndex () const throw ()
bool | operator== (const TupleSelect &t) const throw ()
bool | operator!= (const TupleSelect &t) const throw ()

## Detailed Description

Definition at line 29 of file tuple.h.

## Constructor & Destructor Documentation

## TupleSelect()

CVC4::TupleSelect::TupleSelect | ( | unsigned | index | ) |
throw | ( | ) |  |  |

inline

Definition at line 32 of file tuple.h.

## Member Function Documentation

## getIndex()

unsigned CVC4::TupleSelect::getIndex | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 33 of file tuple.h.

Referenced by CVC4::TupleSelectHashFunction::operator()(), and CVC4::operator<<().

## operator!=()

bool CVC4::TupleSelect::operator!= | ( | const TupleSelect & | t | ) | const
throw | ( | ) |  |  |

inline

Definition at line 35 of file tuple.h.

## operator==()

bool CVC4::TupleSelect::operator== | ( | const TupleSelect & | t | ) | const
throw | ( | ) |  |  |

inline

Definition at line 34 of file tuple.h.

The documentation for this class was generated from the following file:

- src/util/tuple.h